Name:           python-dumptruck
Version:        0.1.6
Release:        11%{?dist}
Summary:        Relaxing interface to SQLite

License:        MIT
URL:            https://pypi.python.org/pypi/dumptruck
Source0:        https://pypi.python.org/packages/source/d/dumptruck/dumptruck-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel

%global _description\
DumpTruck is a document-like interface to a SQLite database.\


%description %_description

%package -n python2-dumptruck
Summary: %summary
%{?python_provide:%python_provide python2-dumptruck}

%description -n python2-dumptruck %_description

%prep
%setup -q -n dumptruck-%{version}
find -name '*.py' |xargs sed '/^#!/d' -i


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files -n python2-dumptruck
%{python2_sitelib}/*
%doc README.txt


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.6-9
- Python 2 binary package renamed to python2-dumptruck
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Aug 06 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.1.6-3
- Use versioned macro for sitelib too (Christopher Meng, #1123400)

* Tue Aug 05 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.1.6-2
- Use versioned macro & BR for Python 2 (Christopher Meng, #1123400)

* Fri Jul 25 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.1.6-1
- Initial packaging
